package main
import (
	"fmt"
	"image"
	"os"
	_ "image/png"
)
func main() {
	file, err := os.Open("/images/test.png")
	if err != nil {
		fmt.Println("ファイルが開けませんでした。")
		os.Exit(1)
	}
	defer file.Close()
	m, _, err := image.Decode(file)
	if err != nil {
		fmt.Println("画像を解析できませんでした。")
		os.Exit(1)
	}
	c := m.At(1, 0)	// (x,y)座標、つまり(1, 0)のピクセル情報を取得
	r,g,b,a := c.RGBA()	// RGBαの順番で読み出し
	fmt.Printf("赤：%x\n緑：%x\n青：%x\nα：%x\n", r, g, b, a)
}
